| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TangentSpaceCalc::IndexRemap Struct Reference

Information about a remapped index. More...

`#include <OgreTangentSpaceCalc.h>`

## Public Member Functions
| IndexRemap ()
| IndexRemap (size_t i, size_t f, const VertexSplit &s)

## Public Attributes
size_t | faceIndex
| The position in the index buffer that's affected. More...
size_t | indexSet
| Index data set (can be >0 if more than one index data was added) More...
VertexSplit | splitVertex
| The old and new vertex index. More...

## Detailed Description

Information about a remapped index.

## Constructor & Destructor Documentation

## ◆ IndexRemap() [1/2]

Ogre::TangentSpaceCalc::IndexRemap::IndexRemap | ( |  | ) |
| inline

## ◆ IndexRemap() [2/2]

Ogre::TangentSpaceCalc::IndexRemap::IndexRemap | ( | size_t | i,
|  | size_t | f,
|  | const VertexSplit & | s
| ) |  |
| inline

## Member Data Documentation

## ◆ indexSet

size_t Ogre::TangentSpaceCalc::IndexRemap::indexSet

Index data set (can be >0 if more than one index data was added)

## ◆ faceIndex

size_t Ogre::TangentSpaceCalc::IndexRemap::faceIndex

The position in the index buffer that's affected.

## ◆ splitVertex

VertexSplit Ogre::TangentSpaceCalc::IndexRemap::splitVertex

The old and new vertex index.

The documentation for this struct was generated from the following file:

- OgreTangentSpaceCalc.h